tbb : '2019_U8'
tcl : '8.6.0'
tk : '8.6.0'
- topo2volmesh: 'develop'
+ TopIIVolMesh: 'develop'
urllib3 : '1.23'
URANIE : '4.5.0'
# SALOME MODULES :
'MEDCOUPLING' : {section : 'default_MPI', verbose : 'yes'}
'GUI' : {verbose : 'yes'}
'GEOM'
- 'SMESH': {tag: 'master', base: 'no', section: 'version_topo2volmesh'}
+ 'SMESH': 'spns/19079'
'NETGENPLUGIN'
'BLSURFPLUGIN'
'GHS3DPLUGIN'
tbb : 'native'
tcl : 'native'
tk : 'native'
- topo2volmesh: 'develop'
+ TopIIVolMesh: 'develop'
urllib3 : 'native'
URANIE : '4.5.0'
'MEDCOUPLING' : {tag:'master', base: 'no', section: 'default_MPI', hpc: 'yes'}
'GUI'
'GEOM'
- 'SMESH' : {tag: 'master', base: 'no', section: 'version_topo2volmesh'}
+ 'SMESH' : 'spns/19079'
'NETGENPLUGIN'
'BLSURFPLUGIN'
'GHS3DPLUGIN'
tbb : '2019_U8'
tcl : '8.6.0'
tk : '8.6.0'
- topo2volmesh: 'develop'
+ TopIIVolMesh: 'develop'
urllib3 : '1.23'
URANIE : '4.5.0'
# SALOME MODULES :
'MEDCOUPLING'
'GUI'
'GEOM'
- 'SMESH': {tag: 'master', base: 'no', section: 'version_topo2volmesh'}
+ 'SMESH': 'spns/19079'
'NETGENPLUGIN'
'BLSURFPLUGIN'
'GHS3DPLUGIN'
"tbb"
]
build_depend : ["cmake", "swig", "doxygen", "cppunit"]
- opt_depend : ['SHAPERSTUDY']
+ opt_depend : ['SHAPERSTUDY', 'TopIIVolMesh']
patches : []
check_install : ["share/doc/salome/gui/SMESH/yams/index.html"]
source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
]
}
-version_topo2volmesh:
-{
- patches : ['smesh_spns-19079_topo2volmesh.patch']
-}
-
version_V9_3_0 :
{
cmake_options : "-DSALOME_SMESH_USE_CGNS:BOOL=ON -DSWIG_EXECUTABLE=${SWIG_ROOT_DIR}/bin/swig -DSALOME_SMESH_DYNLOAD_LOCAL:BOOL=ON -DSALOME_SMESH_BUILD_FRENCH_DOC=OFF"
--- /dev/null
+default :
+{
+ name : "TopIIVolMesh"
+ build_source : "script"
+ compil_script : $name + $VARS.scriptExtension
+ get_source : "git"
+ git_info:
+ {
+ repo : $PROJECTS.projects.salome.git_info.default_git_server + "modules/top_ii_vol.git"
+ repo_dev : $PROJECTS.projects.salome.git_info.default_git_server_dev + "top_ii_vol.git"
+ }
+ system_info :
+ {
+ rpm : []
+ rpm_dev : []
+ apt : []
+ apt_dev : []
+ }
+ environ :
+ {
+ env_script : $name + ".py"
+ }
+ patches : []
+ depend : []
+ opt_depend: ['openmpi']
+ build_depend : ["cmake"]
+ source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+ build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+ install_dir : 'base'
+ properties :
+ {
+ incremental : "yes"
+ single_install_dir : "yes"
+ }
+}
--- /dev/null
+#!/bin/bash
+
+echo "##########################################################################"
+echo "TopIIVolMesh" $VERSION
+echo "##########################################################################"
+
+export CC=$(which mpicc)
+export CXX=$(which mpicxx)
+export MPICXX=$(which mpic++)
+
+CONFIGURE_FLAGS=
+CONFIGURE_FLAGS+=" --with-MPICXX=${MPICXX}"
+
+rm -rf $BUILD_DIR
+mkdir $BUILD_DIR
+cd $BUILD_DIR
+
+cp -r $SOURCE_DIR/* .
+
+echo
+echo "*** autoreconf -i"
+autoreconf -i
+if [ $? -ne 0 ]
+then
+ echo "ERROR on autoreconf command"
+ exit 1
+fi
+
+echo
+echo "*** configure --prefix=$PRODUCT_INSTALL $CONFIGURE_FLAGS"
+$BUILD_DIR/configure --prefix=$PRODUCT_INSTALL $CONFIGURE_FLAGS
+if [ $? -ne 0 ]
+then
+ echo "ERROR on configure"
+ exit 2
+fi
+echo
+echo "*** make" $MAKE_OPTIONS
+make $MAKE_OPTIONS
+if [ $? -ne 0 ]
+then
+ echo "ERROR on make"
+ exit 3
+fi
+
+echo
+echo "*** make install"
+make install
+if [ $? -ne 0 ]
+then
+ echo "ERROR on make install"
+ exit 4
+fi
+
+echo
+echo "*** Check if node is a virtual machine"
+ISVM=$(hostnamectl status|grep -i chassis:|grep vm)
+if [ ! -z "$ISVM" ]; then
+ echo "*** oversubscribe..."
+ sed -i 's/mpirun -np \$(NP)/mpirun -np \$(NP) --oversubscribe/g' src/*/Makefile.am
+else
+ echo "*** hostnamectl says that $HOSTNAME is *NOT* a virtual machine"
+fi
+
+make check
+if [ $? -ne 0 ]
+then
+ echo "ERROR on make check"
+ exit 5
+fi
+
+echo
+echo "########## END"
+
+++ /dev/null
-#!/bin/bash
-
-echo "##########################################################################"
-echo "topo2volmesh" $VERSION
-echo "##########################################################################"
-
-export CC=$(which mpicc)
-export CXX=$(which mpicxx)
-export MPICXX=$(which mpic++)
-
-CONFIGURE_FLAGS=
-CONFIGURE_FLAGS+=" --with-MPICXX=${MPICXX}"
-
-rm -rf $BUILD_DIR
-mkdir $BUILD_DIR
-cd $BUILD_DIR
-
-cp -r $SOURCE_DIR/* .
-
-echo
-echo "*** autoreconf -i"
-autoreconf -i
-if [ $? -ne 0 ]
-then
- echo "ERROR on autoreconf command"
- exit 1
-fi
-
-echo
-echo "*** configure --prefix=$PRODUCT_INSTALL $CONFIGURE_FLAGS"
-$BUILD_DIR/configure --prefix=$PRODUCT_INSTALL $CONFIGURE_FLAGS
-if [ $? -ne 0 ]
-then
- echo "ERROR on configure"
- exit 2
-fi
-echo
-echo "*** make" $MAKE_OPTIONS
-make $MAKE_OPTIONS
-if [ $? -ne 0 ]
-then
- echo "ERROR on make"
- exit 3
-fi
-
-echo
-echo "*** make install"
-make install
-if [ $? -ne 0 ]
-then
- echo "ERROR on make install"
- exit 4
-fi
-
-echo
-echo "*** Check if node is a virtual machine"
-ISVM=$(hostnamectl status|grep -i chassis:|grep vm)
-if [ ! -z "$ISVM" ]; then
- echo "*** oversubscribe..."
- sed -i 's/mpirun -np \$(NP)/mpirun -np \$(NP) --oversubscribe/g' src/*/Makefile.am
-else
- echo "*** hostnamectl says that $HOSTNAME is *NOT* a virtual machine"
-fi
-
-make check
-if [ $? -ne 0 ]
-then
- echo "ERROR on make check"
- exit 5
-fi
-
-echo
-echo "########## END"
-
--- /dev/null
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+import platform
+
+def set_env(env, prereq_dir, version):
+ env.set("TOPIIVOLMESH_ROOT_DIR",prereq_dir)
+ if not platform.system() == "Windows" :
+ env.prepend('PATH', os.path.join(prereq_dir, 'bin'))
+
+def set_nativ_env(env):
+ pass
+++ /dev/null
-#!/usr/bin/env python
-#-*- coding:utf-8 -*-
-
-import os
-import platform
-
-def set_env(env, prereq_dir, version):
- env.set("TOPO2VOLMESH_ROOT_DIR",prereq_dir)
- if not platform.system() == "Windows" :
- env.prepend('PATH', os.path.join(prereq_dir, 'bin'))
-
-def set_nativ_env(env):
- pass
+++ /dev/null
-default :
-{
- name : "topo2volmesh"
- build_source : "script"
- compil_script : $name + $VARS.scriptExtension
- get_source : "git"
- git_info:
- {
- repo : $PROJECTS.projects.salome.git_info.default_git_server + "modules/top_ii_vol.git"
- repo_dev : $PROJECTS.projects.salome.git_info.default_git_server_dev + "top_ii_vol.git"
- }
- system_info :
- {
- rpm : []
- rpm_dev : []
- apt : []
- apt_dev : []
- }
- environ :
- {
- env_script : $name + ".py"
- }
- patches : []
- depend : []
- opt_depend: ['openmpi']
- build_depend : ["cmake"]
- source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
- build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
- install_dir : 'base'
- properties :
- {
- incremental : "yes"
- single_install_dir : "yes"
- }
-}